LINUX.ORG.RU

[gentoo] Не запускаются некоторые приложения


0

1

В консоли отбрасываются лишь:

Inconsistency detected by ld.so: dl-close.c: 743: _dl_close: Assertion `map->l_init_called' failed!

до этого обновлял систему, вместе с ними был glibc, грешу на него. Есть ли другие способы кроме как откатить glibc

Виноват glibc. Да, способы есть, но glibc все равно придется переустановить. Сейчас пороюсь в своем компе и приведу полную процедуру лечения.

delete83 ★★ ()

Скачиваете вот это и копируете в каталог /etc/portage/patches/sys-libs/glibc-2.13-r3/ и переустанавливаете glibc командой portage glibc

Естественно, если у вас сейчас другая версия glibc установлена, то путь для копирования будет немного другой. Думаю, разберетесь.

delete83 ★★ ()
Ответ на: комментарий от x0r

Встроили таки в r4? А я вчера увидел обновление и не стал ставить. Побоялся.

delete83 ★★ ()
Ответ на: комментарий от x0r

патчи уже в апстриме. на багзиле генты также доступны. накати апдейт до glibc-2.13-r4 или выше

Плюсую, сегодня проверил. ВР.

vurdalak ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.